Bug 8071 - Memory leak in print lpd/printjob.c
Memory leak in print lpd/printjob.c
Product: Red Hat Linux
Classification: Retired
Component: lpr (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 1999-12-30 15:58 EST by Michael O'Keefe
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-01-05 13:15:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael O'Keefe 1999-12-30 15:58:59 EST
Line 779 of lpd/printjob.c
            dup_cfpname = strdup(file);

>> You now lose the handle to this part of the memory. You will never be
>> able to free() it !! The whole preceeding line should be deleted since
>> it's goal is completed by the following line

            if (!(dup_cfpname = strdup(file)))
                    syslog(LOG_ERR, "Can't allocate memory for temp cfp
file name");
Comment 1 Bernhard Rosenkraenzer 2000-01-05 13:15:59 EST
Fixed in lpr 0.47

Note You need to log in before you can comment on or make changes to this bug.